View Issue Details

IDProjectCategoryView StatusLast Update
0003085Kali Linux[All Projects] Kali Package Bugpublic2016-03-01 02:35
ReporterSH_Andrey Assigned Tosbrun  
PrioritynormalSeverityminorReproducibilityalways
Status resolvedResolutionfixed 
Product Version2016.1 
Target VersionFixed in Version2016.2 
Summary0003085: mitmproxy crashes with ImportError: No module named frame
Descriptionstartup mitmproxy, an error occurs
root@Andrey-nout:~/wifi# mitmproxy
Traceback (most recent call last):
  File "/usr/bin/mitmproxy", line 9, in <module>
    load_entry_point('mitmproxy==0.15', 'console_scripts', 'mitmproxy')()
  File "/usr/lib/python2.7/dist-packages/pkg_resources/__init__.py", line 568, in load_entry_point
    return get_distribution(dist).load_entry_point(group, name)
  File "/usr/lib/python2.7/dist-packages/pkg_resources/__init__.py", line 2720, in load_entry_point
    return ep.load()
  File "/usr/lib/python2.7/dist-packages/pkg_resources/__init__.py", line 2380, in load
    return self.resolve()
  File "/usr/lib/python2.7/dist-packages/pkg_resources/__init__.py", line 2386, in resolve
    module = __import__(self.module_name, fromlist=['__name__'], level=0)
  File "/usr/lib/python2.7/dist-packages/libmproxy/main.py", line 7, in <module>
    from . import version, cmdline
  File "/usr/lib/python2.7/dist-packages/libmproxy/cmdline.py", line 10, in <module>
    from .proxy import config
  File "/usr/lib/python2.7/dist-packages/libmproxy/proxy/__init__.py", line 3, in <module>
    from .server import ProxyServer, DummyServer
  File "/usr/lib/python2.7/dist-packages/libmproxy/proxy/server.py", line 12, in <module>
    from ..protocol import Kill
  File "/usr/lib/python2.7/dist-packages/libmproxy/protocol/__init__.py", line 30, in <module>
    from .http import Http1Layer, UpstreamConnectLayer, Http2Layer
  File "/usr/lib/python2.7/dist-packages/libmproxy/protocol/http.py", line 13, in <module>
    from netlib.http.http2.frame import GoAwayFrame, PriorityFrame, WindowUpdateFrame
ImportError: No module named frame

on github.com in mitmproxy repository was the theme of this error. Developer mitmproxy said that in the last build of this bug is fixed
https://github.com/mitmproxy/mitmproxy/issues/908
Steps To Reproducesudo apt-get update
sudo apt-get upgrade -y; sudo apt-get dist-upgrade -y
sudo mitmproxy
Additional Informationcat /proc/cpuinfo
processor : 0
vendor_id : GenuineIntel
cpu family : 6
model : 37
model name : Intel(R) Core(TM) i3 CPU M 370 @ 2.40GHz
stepping : 5
microcode : 0x4
cpu MHz : 2399.000
cache size : 3072 KB
physical id : 0
siblings : 4
core id : 0
cpu cores : 2
apicid : 0
initial apicid : 0
fpu : yes
fpu_exception : yes
cpuid level : 11
wp : yes
flags : fpu vme de pse tsc msr pae mce cx8 apic sep mtrr pge mca cmov pat pse36 clflush dts acpi mmx fxsr sse sse2 ss ht tm pbe syscall nx rdtscp lm constant_tsc arch_perfmon pebs bts rep_good nopl xtopology nonstop_tsc aperfmperf pni dtes64 monitor ds_cpl vmx est tm2 ssse3 cx16 xtpr pdcm pcid sse4_1 sse4_2 popcnt lahf_lm arat dtherm tpr_shadow vnmi flexpriority ept vpid
bugs :
bogomips : 4787.81
clflush size : 64
cache_alignment : 64
address sizes : 36 bits physical, 48 bits virtual
power management:

processor : 1
vendor_id : GenuineIntel
cpu family : 6
model : 37
model name : Intel(R) Core(TM) i3 CPU M 370 @ 2.40GHz
stepping : 5
microcode : 0x4
cpu MHz : 2399.000
cache size : 3072 KB
physical id : 0
siblings : 4
core id : 2
cpu cores : 2
apicid : 4
initial apicid : 4
fpu : yes
fpu_exception : yes
cpuid level : 11
wp : yes
flags : fpu vme de pse tsc msr pae mce cx8 apic sep mtrr pge mca cmov pat pse36 clflush dts acpi mmx fxsr sse sse2 ss ht tm pbe syscall nx rdtscp lm constant_tsc arch_perfmon pebs bts rep_good nopl xtopology nonstop_tsc aperfmperf pni dtes64 monitor ds_cpl vmx est tm2 ssse3 cx16 xtpr pdcm pcid sse4_1 sse4_2 popcnt lahf_lm arat dtherm tpr_shadow vnmi flexpriority ept vpid
bugs :
bogomips : 4787.81
clflush size : 64
cache_alignment : 64
address sizes : 36 bits physical, 48 bits virtual
power management:

processor : 2
vendor_id : GenuineIntel
cpu family : 6
model : 37
model name : Intel(R) Core(TM) i3 CPU M 370 @ 2.40GHz
stepping : 5
microcode : 0x4
cpu MHz : 2399.000
cache size : 3072 KB
physical id : 0
siblings : 4
core id : 0
cpu cores : 2
apicid : 1
initial apicid : 1
fpu : yes
fpu_exception : yes
cpuid level : 11
wp : yes
flags : fpu vme de pse tsc msr pae mce cx8 apic sep mtrr pge mca cmov pat pse36 clflush dts acpi mmx fxsr sse sse2 ss ht tm pbe syscall nx rdtscp lm constant_tsc arch_perfmon pebs bts rep_good nopl xtopology nonstop_tsc aperfmperf pni dtes64 monitor ds_cpl vmx est tm2 ssse3 cx16 xtpr pdcm pcid sse4_1 sse4_2 popcnt lahf_lm arat dtherm tpr_shadow vnmi flexpriority ept vpid
bugs :
bogomips : 4787.81
clflush size : 64
cache_alignment : 64
address sizes : 36 bits physical, 48 bits virtual
power management:

processor : 3
vendor_id : GenuineIntel
cpu family : 6
model : 37
model name : Intel(R) Core(TM) i3 CPU M 370 @ 2.40GHz
stepping : 5
microcode : 0x4
cpu MHz : 2399.000
cache size : 3072 KB
physical id : 0
siblings : 4
core id : 2
cpu cores : 2
apicid : 5
initial apicid : 5
fpu : yes
fpu_exception : yes
cpuid level : 11
wp : yes
flags : fpu vme de pse tsc msr pae mce cx8 apic sep mtrr pge mca cmov pat pse36 clflush dts acpi mmx fxsr sse sse2 ss ht tm pbe syscall nx rdtscp lm constant_tsc arch_perfmon pebs bts rep_good nopl xtopology nonstop_tsc aperfmperf pni dtes64 monitor ds_cpl vmx est tm2 ssse3 cx16 xtpr pdcm pcid sse4_1 sse4_2 popcnt lahf_lm arat dtherm tpr_shadow vnmi flexpriority ept vpid
bugs :
bogomips : 4787.81
clflush size : 64
cache_alignment : 64
address sizes : 36 bits physical, 48 bits virtual
power management:

Activities

sbrun

2016-02-22 10:49

manager   ~0004749

According to upstream the module python-netlib version 0.16 breaks mitmproxy < 0.16
The new version 0.16-0kali1 of mitmproxy is now in kali-dev and will be soon in kali-rolling. It will fix this issue.

Issue History

Date Modified Username Field Change
2016-02-20 16:40 SH_Andrey New Issue
2016-02-21 13:49 rhertzog Assigned To => sbrun
2016-02-21 13:49 rhertzog Status new => assigned
2016-02-22 10:49 sbrun Note Added: 0004749
2016-02-22 10:49 sbrun Status assigned => resolved
2016-02-22 10:49 sbrun Resolution open => fixed
2016-02-22 10:49 sbrun Fixed in Version => 2016.2